Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 2117)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives removed
 ! 
 ! Former revisions:
@@ -107,5 +107,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  i = 0, nx
          DO  k = nzb_x, nzt_x
@@ -115,5 +114,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -165,5 +163,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
                           work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL, &
@@ -175,8 +172,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, ys )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(2) - 1
           ys = 0 + l * ( nyn_x - nys_x + 1 )
-          !$acc kernels present( f_out, work )
           DO  i = nxl_y, nxr_y
              DO  k = nzb_y, nzt_y
@@ -186,7 +181,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -198,5 +191,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  k = nzb_y, nzt_y
           DO  i = nxl_y, nxr_y
@@ -206,5 +198,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -243,5 +234,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  k = 1, nz
          DO  i = nxl, nxr
@@ -251,5 +241,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -304,8 +293,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, xs )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(1) - 1
           xs = 0 + l * nnx
-          !$acc kernels present( f_in, work )
           DO  k = nzb_x, nzt_x
              DO  i = xs, xs + nnx - 1
@@ -315,7 +302,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -327,5 +312,4 @@
                           f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
                           comm1dx, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -337,5 +321,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  i = nxl, nxr
           DO  j = nys, nyn
@@ -345,5 +328,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -384,5 +366,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  i = 0, nx
          DO  k = nzb_x, nzt_x
@@ -392,5 +373,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -442,8 +422,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, ys )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(2) - 1
           ys = 0 + l * ( nyn_x - nys_x + 1 )
-          !$acc kernels present( f_in, work )
           DO  i = nxl_y, nxr_y
              DO  k = nzb_y, nzt_y
@@ -453,7 +431,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -465,5 +441,4 @@
                           f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
                           comm1dy, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -475,5 +450,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  i = nxl_y, nxr_y
           DO  k = nzb_y, nzt_y
@@ -483,5 +457,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -602,5 +575,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  j = 0, ny
          DO  k = nzb_y, nzt_y
@@ -610,5 +582,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -660,5 +631,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  j = 0, ny
           DO  k = nzb_y, nzt_y
@@ -668,5 +638,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -678,5 +647,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
                           work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL, &
@@ -688,8 +656,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, zs )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(1) - 1
           zs = 1 + l * ( nzt_y - nzb_y + 1 )
-          !$acc kernels present( f_out )
           DO  j = nys_z, nyn_z
              DO  k = zs, zs + nzt_y - nzb_y
@@ -699,7 +665,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -738,5 +702,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  k = 1,nz
          DO  i = nxl, nxr
@@ -746,5 +709,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -796,5 +758,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  k = 1, nz
           DO  i = nxl, nxr
@@ -804,5 +765,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -814,5 +774,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
                           work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL, &
@@ -824,8 +783,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, xs )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(1) - 1
           xs = 0 + l * nnx
-          !$acc kernels present( f_out )
           DO  k = nzb_x, nzt_x
              DO  i = xs, xs + nnx - 1
@@ -835,7 +792,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -878,5 +833,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  k = nzb_y, nzt_y
          DO  j = 0, ny
@@ -886,5 +840,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -938,8 +891,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, zs )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(1) - 1
           zs = 1 + l * ( nzt_y - nzb_y + 1 )
-          !$acc kernels present( f_in, work )
           DO  j = nys_z, nyn_z
              DO  k = zs, zs + nzt_y - nzb_y
@@ -949,7 +900,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -961,5 +910,4 @@
                           f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
                           comm1dx, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -970,5 +918,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  k = nzb_y, nzt_y
           DO  j = 0, ny
@@ -978,5 +925,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
Index: /palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2117)
+++ /palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! OpenACC directives removed
 ! 
 ! Former revisions:
@@ -195,5 +195,4 @@
 
           REAL(wp)    ::  ll(nxl_z:nxr_z,nys_z:nyn_z) !< 
-          !$acc declare create( ll )
 
 
@@ -201,5 +200,4 @@
           nnyh = ( ny + 1 ) / 2
 
-          !$acc kernels present( tric )
           DO  j = nys_z, nyn_z
              DO  i = nxl_z, nxr_z
@@ -239,8 +237,6 @@
              ENDDO
           ENDDO
-          !$acc end kernels
 
           IF ( ibc_p_b == 1 )  THEN
-             !$acc kernels present( tric )
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -248,8 +244,6 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDIF
           IF ( ibc_p_t == 1 )  THEN
-             !$acc kernels present( tric )
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -257,5 +251,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDIF
 
@@ -288,10 +281,8 @@
 
           REAL(wp), DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1)   ::  ar1 !< 
-          !$acc declare create( ar1 )
 
 !
 !--       Forward substitution
           DO  k = 0, nz - 1
-             !$acc kernels present( ar, tri )
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -305,5 +296,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDDO
 
@@ -314,5 +304,4 @@
 !--       the model domain.
           DO  k = nz-1, 0, -1
-             !$acc kernels present( ar, tri )
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -326,5 +315,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDDO
 
@@ -335,9 +323,7 @@
           IF ( ibc_p_b == 1  .AND.  ibc_p_t == 1 )  THEN
              IF ( nys_z == 0  .AND.  nxl_z == 0 )  THEN
-                !$acc kernels loop present( ar )
                 DO  k = 1, nz
                    ar(nxl_z,nys_z,k) = 0.0_wp
                 ENDDO
-                !$acc end kernels loop
              ENDIF
           ENDIF
@@ -372,11 +358,8 @@
 
           REAL(wp), DIMENSION(nxl_z:nxr_z,nys_z:nyn_z,0:nz-1) ::  ar1 !<
-          !$acc declare create( ar1 )
 
 !
 !--       Forward substitution
           DO  k = 0, nz - 1
-             !$acc kernels present( ar, tri )
-             !$acc loop
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -390,5 +373,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDDO
 
@@ -399,6 +381,4 @@
 !--       the model domain.
           DO  k = nz-1, 0, -1
-             !$acc kernels present( ar, tri )
-             !$acc loop
              DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
@@ -412,5 +392,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDDO
 
@@ -421,5 +400,4 @@
           IF ( ibc_p_b == 1  .AND.  ibc_p_t == 1 )  THEN
              IF ( nys_z == 0  .AND.  nxl_z == 0 )  THEN
-                !$acc kernels loop present( ar )
                 DO  k = 1, nz
                    ar(nxl_z,nys_z,k) = 0.0_wp
@@ -451,19 +429,12 @@
 !
 !--       Splitting
-          !$acc kernels present( tri, tric )
-          !$acc loop
           DO  j = nys_z, nyn_z
-             !$acc loop vector( 32 )
              DO  i = nxl_z, nxr_z
                 tri(i,j,0,1) = tric(i,j,0)
              ENDDO
           ENDDO
-          !$acc end kernels
 
           DO  k = 1, nz-1
-             !$acc kernels present( tri, tric )
-             !$acc loop
-             DO  j = nys_z, nyn_z
-                !$acc loop vector( 32 )
+             DO  j = nys_z, nyn_z
                 DO  i = nxl_z, nxr_z
                    tri(i,j,k,2) = ddzuw(k,1) / tri(i,j,k-1,1)
@@ -471,5 +442,4 @@
                 ENDDO
              ENDDO
-             !$acc end kernels
           ENDDO
 
Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 2117)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC versions of subroutines removed
 ! 
 ! Former revisions:
@@ -90,5 +90,5 @@
  
     PRIVATE
-    PUBLIC wall_fluxes, wall_fluxes_acc, wall_fluxes_e, wall_fluxes_e_acc
+    PUBLIC wall_fluxes, wall_fluxes_e
     
     INTERFACE wall_fluxes
@@ -97,8 +97,4 @@
     END INTERFACE wall_fluxes
     
-    INTERFACE wall_fluxes_acc
-       MODULE PROCEDURE wall_fluxes_acc
-    END INTERFACE wall_fluxes_acc
-
     INTERFACE wall_fluxes_e
        MODULE PROCEDURE wall_fluxes_e
@@ -106,8 +102,4 @@
     END INTERFACE wall_fluxes_e
  
-    INTERFACE wall_fluxes_e_acc
-       MODULE PROCEDURE wall_fluxes_e_acc
-    END INTERFACE wall_fluxes_e_acc
-
  CONTAINS
 
@@ -299,8 +291,7 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE wall_fluxes_acc( wall_flux, a, b, c1, c2, nzb_uvw_inner,        &
-                                nzb_uvw_outer, wall )
+!> Call for all grid point i,j
+!------------------------------------------------------------------------------!
+    SUBROUTINE wall_fluxes_ij( i, j, nzb_w, nzt_w, wall_flux, a, b, c1, c2 )
 
        USE arrays_3d,                                                          &
@@ -314,6 +305,5 @@
        
        USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxlg, nxr, nxrg,     &
-                  nyn, nyng, nys, nysg, nzb, nzt
+           ONLY:  nzb, nzt
        
        USE kinds
@@ -327,14 +317,7 @@
        INTEGER(iwp) ::  j            !< 
        INTEGER(iwp) ::  k            !< 
-       INTEGER(iwp) ::  max_outer    !< 
-       INTEGER(iwp) ::  min_inner    !< 
+       INTEGER(iwp) ::  nzb_w        !< 
+       INTEGER(iwp) ::  nzt_w        !< 
        INTEGER(iwp) ::  wall_index   !< 
-
-       INTEGER(iwp),                                                           &
-          DIMENSION(nysg:nyng,nxlg:nxrg) ::                                    &
-             nzb_uvw_inner   !< 
-       INTEGER(iwp),                                                           &
-          DIMENSION(nysg:nyng,nxlg:nxrg) ::                                    &
-             nzb_uvw_outer   !< 
        
        REAL(wp) ::  a           !< 
@@ -355,190 +338,4 @@
        REAL(wp) ::  wspts       !< 
 
-       REAL(wp),                                                               &
-          DIMENSION(nysg:nyng,nxlg:nxrg) ::                                    &
-             wall   !< 
-       
-       REAL(wp),                                                               &
-          DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::                              &
-             wall_flux   !< 
-
-
-       zp         = 0.5_wp * ( (a+c1) * dy + (b+c2) * dx )
-       wall_flux  = 0.0_wp
-       wall_index = NINT( a+ 2*b + 3*c1 + 4*c2 )
-
-       min_inner = MINVAL( nzb_uvw_inner(nys:nyn,nxl:nxr) ) + 1
-       max_outer = MINVAL( nzb_uvw_outer(nys:nyn,nxl:nxr) )
-
-       !$acc kernels present( hom, nzb_uvw_inner, nzb_uvw_outer, pt, rif_wall ) &
-       !$acc         present( u, v, w, wall, wall_flux, z0 )
-       !$acc loop independent
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-
-             IF ( wall(j,i) /= 0.0_wp )  THEN
-!
-!--             All subsequent variables are computed for the respective
-!--             location where the respective flux is defined.
-                !$acc loop independent
-                DO  k = nzb_uvw_inner(j,i)+1, nzb_uvw_outer(j,i)
-
-!
-!--                (1) Compute rifs, u_i, v_i, ws, pt' and w'pt'
-                   rifs  = rif_wall(k,j,i,wall_index)
-
-                   u_i   = a * u(k,j,i) + c1 * 0.25_wp *                       &
-                           ( u(k+1,j,i+1) + u(k+1,j,i) + u(k,j,i+1) + u(k,j,i) )
-
-                   v_i   = b * v(k,j,i) + c2 * 0.25_wp *                       &
-                           ( v(k+1,j+1,i) + v(k+1,j,i) + v(k,j+1,i) + v(k,j,i) )
-
-                   ws    = ( c1 + c2 ) * w(k,j,i) + 0.25_wp * (                &
-                     a * ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) + w(k,j,i) ) &
-                   + b * ( w(k-1,j-1,i) + w(k-1,j,i) + w(k,j-1,i) + w(k,j,i) ) &
-                                                              )
-                   pt_i  = 0.5_wp * ( pt(k,j,i) + a *  pt(k,j,i-1) +           &
-                                   b * pt(k,j-1,i) + ( c1 + c2 ) * pt(k+1,j,i) )
-
-                   pts   = pt_i - hom(k,1,4,0)
-                   wspts = ws * pts
-
-!
-!--                (2) Compute wall-parallel absolute velocity vel_total
-                   vel_total = SQRT( ws**2 + (a+c1) * u_i**2 + (b+c2) * v_i**2 )
-
-!
-!--                (3) Compute wall friction velocity us_wall
-                   IF ( rifs >= 0.0_wp )  THEN
-
-!
-!--                   Stable stratification (and neutral)
-                      us_wall = kappa * vel_total / ( LOG( zp / z0(j,i) ) +    &
-                                         5.0_wp * rifs * ( zp - z0(j,i) ) / zp &
-                                                    )
-                   ELSE
-
-!
-!--                   Unstable stratification
-                      h1 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs ) )
-                      h2 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs * z0(j,i) / zp ) )
-
-                      us_wall = kappa * vel_total / (                          &
-                           LOG( zp / z0(j,i) ) -                               &
-                           LOG( ( 1.0_wp + h1 )**2 * ( 1.0_wp + h1**2 ) / (    &
-                                ( 1.0_wp + h2 )**2 * ( 1.0_wp + h2**2 )   ) ) +&
-                                2.0_wp * ( ATAN( h1 ) - ATAN( h2 ) )           &
-                                                    )
-                   ENDIF
-
-!
-!--                (4) Compute zp/L (corresponds to neutral Richardson flux
-!--                    number rifs)
-                   rifs = -1.0_wp * zp * kappa * g * wspts /                   &
-                          ( pt_i * ( us_wall**3 + 1E-30 ) )
-
-!
-!--                Limit the value range of the Richardson numbers.
-!--                This is necessary for very small velocities (u,w --> 0),
-!--                because the absolute value of rif can then become very
-!--                large, which in consequence would result in very large
-!--                shear stresses and very small momentum fluxes (both are
-!--                generally unrealistic).
-                   IF ( rifs < zeta_min )  rifs = zeta_min
-                   IF ( rifs > zeta_max )  rifs = zeta_max
-
-!
-!--                (5) Compute wall_flux (u'v', v'u', w'v', or w'u')
-                   IF ( rifs >= 0.0_wp )  THEN
-
-!
-!--                   Stable stratification (and neutral)
-                      wall_flux(k,j,i) = kappa *                               &
-                              ( a*u(k,j,i) + b*v(k,j,i) + (c1+c2)*w(k,j,i) ) / &
-                              (  LOG( zp / z0(j,i) ) +                         &
-                                 5.0_wp * rifs * ( zp - z0(j,i) ) / zp         &
-                              )
-                   ELSE
-
-!
-!--                   Unstable stratification
-                      h1 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs ) )
-                      h2 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs * z0(j,i) / zp ) )
-
-                      wall_flux(k,j,i) = kappa *                               &
-                           ( a*u(k,j,i) + b*v(k,j,i) + (c1+c2)*w(k,j,i) ) / (  &
-                           LOG( zp / z0(j,i) ) -                               &
-                           LOG( ( 1.0_wp + h1 )**2 * ( 1.0_wp + h1**2 ) / (    &
-                                ( 1.0_wp + h2 )**2 * ( 1.0_wp + h2**2 )   ) ) +&
-                                2.0_wp * ( ATAN( h1 ) - ATAN( h2 ) )           &
-                                                                            )
-                   ENDIF
-                   wall_flux(k,j,i) = -wall_flux(k,j,i) * us_wall
-
-!
-!--                store rifs for next time step
-                   rif_wall(k,j,i,wall_index) = rifs
-
-                ENDDO
-
-             ENDIF
-
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE wall_fluxes_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Call for all grid point i,j
-!------------------------------------------------------------------------------!
-    SUBROUTINE wall_fluxes_ij( i, j, nzb_w, nzt_w, wall_flux, a, b, c1, c2 )
-
-       USE arrays_3d,                                                          &
-           ONLY:  rif_wall, pt, u, v, w, z0
-       
-       USE control_parameters,                                                 &
-           ONLY:  g, kappa, zeta_max, zeta_min
-       
-       USE grid_variables,                                                     &
-           ONLY:  dx, dy
-       
-       USE indices,                                                            &
-           ONLY:  nzb, nzt
-       
-       USE kinds
-       
-       USE statistics,                                                         &
-           ONLY:  hom
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i            !< 
-       INTEGER(iwp) ::  j            !< 
-       INTEGER(iwp) ::  k            !< 
-       INTEGER(iwp) ::  nzb_w        !< 
-       INTEGER(iwp) ::  nzt_w        !< 
-       INTEGER(iwp) ::  wall_index   !< 
-       
-       REAL(wp) ::  a           !< 
-       REAL(wp) ::  b           !< 
-       REAL(wp) ::  c1          !< 
-       REAL(wp) ::  c2          !< 
-       REAL(wp) ::  h1          !< 
-       REAL(wp) ::  h2          !< 
-       REAL(wp) ::  zp          !< 
-       REAL(wp) ::  pts         !< 
-       REAL(wp) ::  pt_i        !< 
-       REAL(wp) ::  rifs        !< 
-       REAL(wp) ::  u_i         !< 
-       REAL(wp) ::  v_i         !< 
-       REAL(wp) ::  us_wall     !< 
-       REAL(wp) ::  vel_total   !< 
-       REAL(wp) ::  ws          !< 
-       REAL(wp) ::  wspts       !< 
-
        REAL(wp), DIMENSION(nzb:nzt+1) ::  wall_flux   !< 
 
@@ -811,11 +608,7 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!> Calculates momentum fluxes at vertical walls for routine production_e
-!> assuming Monin-Obukhov similarity.
-!> Indices: usvs a=1, vsus b=1, wsvs c1=1, wsus c2=1 (other=0).
-!------------------------------------------------------------------------------!
-    SUBROUTINE wall_fluxes_e_acc( wall_flux, a, b, c1, c2, wall )
-
+!> Call for grid point i,j
+!------------------------------------------------------------------------------!
+    SUBROUTINE wall_fluxes_e_ij( i, j, nzb_w, nzt_w, wall_flux, a, b, c1, c2 )
 
        USE arrays_3d,                                                          &
@@ -829,7 +622,5 @@
        
        USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxlg, nxr, nxrg,     &
-                  nyn, nyng, nys, nysg, nzb, nzb_diff_s_inner,                 &
-                  nzb_diff_s_outer, nzt
+           ONLY:  nzb, nzt
        
        USE kinds
@@ -841,6 +632,6 @@
        INTEGER(iwp) ::  k            !< 
        INTEGER(iwp) ::  kk           !< 
-       INTEGER(iwp) ::  max_outer    !< 
-       INTEGER(iwp) ::  min_inner    !< 
+       INTEGER(iwp) ::  nzb_w        !< 
+       INTEGER(iwp) ::  nzt_w        !< 
        INTEGER(iwp) ::  wall_index   !< 
        
@@ -860,162 +651,4 @@
        REAL(wp) ::  rifs        !< 
 
-       REAL(wp),                                                               &
-          DIMENSION(nysg:nyng,nxlg:nxrg) ::                                    &
-             wall   !< 
-       
-       REAL(wp),                                                               &
-          DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::                              &
-             wall_flux   !< 
-
-
-       zp         = 0.5_wp * ( (a+c1) * dy + (b+c2) * dx )
-       wall_flux  = 0.0_wp
-       wall_index = NINT( a+ 2*b + 3*c1 + 4*c2 )
-
-       min_inner = MINVAL( nzb_diff_s_inner(nys:nyn,nxl:nxr) ) - 1
-       max_outer = MAXVAL( nzb_diff_s_outer(nys:nyn,nxl:nxr) ) - 2
-
-       !$acc kernels present( nzb_diff_s_inner, nzb_diff_s_outer, rif_wall )   &
-       !$acc         present( u, v, w, wall, wall_flux, z0 )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-             DO  k = min_inner, max_outer
-!
-!--             All subsequent variables are computed for scalar locations
-                IF ( k >= nzb_diff_s_inner(j,i)-1  .AND.                       &
-                     k <= nzb_diff_s_outer(j,i)-2  .AND.                       &
-                     wall(j,i) /= 0.0_wp )         THEN
-!
-!--                (1) Compute rifs, u_i, v_i, and ws
-                   IF ( k == nzb_diff_s_inner(j,i)-1 )  THEN
-                      kk = nzb_diff_s_inner(j,i)-1
-                   ELSE
-                      kk = k-1
-                   ENDIF
-                   rifs  = 0.5_wp * (      rif_wall(k,j,i,wall_index) +        &
-                                      a  * rif_wall(k,j,i+1,1)        +        &
-                                      b  * rif_wall(k,j+1,i,2)        +        &
-                                      c1 * rif_wall(kk,j,i,3)         +        &
-                                      c2 * rif_wall(kk,j,i,4)                  &
-                                    )
-
-                   u_i   = 0.5_wp * ( u(k,j,i) + u(k,j,i+1) )
-                   v_i   = 0.5_wp * ( v(k,j,i) + v(k,j+1,i) )
-                   ws    = 0.5_wp * ( w(k,j,i) + w(k-1,j,i) )
-!
-!--                (2) Compute wall-parallel absolute velocity vel_total and
-!--                interpolate appropriate velocity component vel_zp.
-                   vel_total = SQRT( ws**2 + (a+c1) * u_i**2 + (b+c2) * v_i**2 )
-                   vel_zp    = 0.5_wp * ( a * u_i + b * v_i + (c1+c2) * ws )
-!
-!--                (3) Compute wall friction velocity us_wall
-                   IF ( rifs >= 0.0_wp )  THEN
-
-!
-!--                   Stable stratification (and neutral)
-                      us_wall = kappa * vel_total / ( LOG( zp / z0(j,i) ) +    &
-                                         5.0_wp * rifs * ( zp - z0(j,i) ) / zp &
-                                                    )
-                   ELSE
-
-!
-!--                   Unstable stratification
-                      h1 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs ) )
-                      h2 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs * z0(j,i) / zp ) )
-
-                      us_wall = kappa * vel_total / (                          &
-                           LOG( zp / z0(j,i) ) -                               &
-                           LOG( ( 1.0_wp + h1 )**2 * ( 1.0_wp + h1**2 ) / (    &
-                                ( 1.0_wp + h2 )**2 * ( 1.0_wp + h2**2 )   ) ) +&
-                                2.0_wp * ( ATAN( h1 ) - ATAN( h2 ) )           &
-                                                    )
-                   ENDIF
-
-!
-!--                Skip step (4) of wall_fluxes, because here rifs is already
-!--                available from (1)
-!
-!--                (5) Compute wall_flux (u'v', v'u', w'v', or w'u')
-
-                   IF ( rifs >= 0.0_wp )  THEN
-
-!
-!--                   Stable stratification (and neutral)
-                      wall_flux(k,j,i) = kappa *  vel_zp / (                   &
-                                         LOG( zp/z0(j,i) ) +                   &
-                                         5.0_wp * rifs * ( zp-z0(j,i) ) / zp   &
-                                                           )
-                   ELSE
-
-!
-!--                   Unstable stratification
-                      h1 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs ) )
-                      h2 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs * z0(j,i) / zp ) )
-
-                      wall_flux(k,j,i) = kappa * vel_zp / (                    &
-                           LOG( zp / z0(j,i) ) -                               &
-                           LOG( ( 1.0_wp + h1 )**2 * ( 1.0_wp + h1**2 ) / (    &
-                                ( 1.0_wp + h2 )**2 * ( 1.0_wp + h2**2 )   ) ) +&
-                                2.0_wp * ( ATAN( h1 ) - ATAN( h2 ) )           &
-                                                          )
-                   ENDIF
-                   wall_flux(k,j,i) = - wall_flux(k,j,i) * us_wall
-
-                ENDIF
-
-             ENDDO
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE wall_fluxes_e_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Call for grid point i,j
-!------------------------------------------------------------------------------!
-    SUBROUTINE wall_fluxes_e_ij( i, j, nzb_w, nzt_w, wall_flux, a, b, c1, c2 )
-
-       USE arrays_3d,                                                          &
-           ONLY:  rif_wall, u, v, w, z0
-       
-       USE control_parameters,                                                 &
-           ONLY:  kappa
-       
-       USE grid_variables,                                                     &
-           ONLY:  dx, dy
-       
-       USE indices,                                                            &
-           ONLY:  nzb, nzt
-       
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i            !< 
-       INTEGER(iwp) ::  j            !< 
-       INTEGER(iwp) ::  k            !< 
-       INTEGER(iwp) ::  kk           !< 
-       INTEGER(iwp) ::  nzb_w        !< 
-       INTEGER(iwp) ::  nzt_w        !< 
-       INTEGER(iwp) ::  wall_index   !< 
-       
-       REAL(wp) ::  a           !< 
-       REAL(wp) ::  b           !< 
-       REAL(wp) ::  c1          !< 
-       REAL(wp) ::  c2          !< 
-       REAL(wp) ::  h1          !< 
-       REAL(wp) ::  h2          !< 
-       REAL(wp) ::  u_i         !< 
-       REAL(wp) ::  v_i         !< 
-       REAL(wp) ::  us_wall     !< 
-       REAL(wp) ::  vel_total   !< 
-       REAL(wp) ::  vel_zp      !< 
-       REAL(wp) ::  ws          !< 
-       REAL(wp) ::  zp          !< 
-       REAL(wp) ::  rifs        !< 
-
        REAL(wp), DIMENSION(nzb:nzt+1) ::  wall_flux   !< 
 
